Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.event.kiebase
Interface KieBaseEventListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DefaultKieBaseEventListener

    public interface KieBaseEventListener

extends EventListener

Method Summary
`void` | `afterFunctionRemoved(AfterFunctionRemovedEvent event)` Method called after a function is removed from the rule base
`void` | `afterKieBaseLocked(AfterKieBaseLockedEvent event)` Method called after a knowledge base is locked
`void` | `afterKieBaseUnlocked(AfterKieBaseUnlockedEvent event)` Method called after a knowledge base is unlocked
`void` | `afterKiePackageAdded(AfterKiePackageAddedEvent event)` Method called after a new package is added to the knowledge base
`void` | `afterKiePackageRemoved(AfterKiePackageRemovedEvent event)` Method called after a package is removed from the knowledge base
`void` | `afterProcessAdded(AfterProcessAddedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterProcessRemoved(AfterProcessRemovedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterRuleAdded(AfterRuleAddedEvent event)` Method called after a new rule is added to the knowledge base
`void` | `afterRuleRemoved(AfterRuleRemovedEvent event)` Method called after a rule is removed from the knowledge base
`void` | `beforeFunctionRemoved(BeforeFunctionRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeKieBaseLocked(BeforeKieBaseLockedEvent event)` Method called before a knowledge base is locked
`void` | `beforeKieBaseUnlocked(BeforeKieBaseUnlockedEvent event)` Method called before a knowledge base is unlocked
`void` | `beforeKiePackageAdded(BeforeKiePackageAddedEvent event)` Method called before a new package is added to the knowledge base
`void` | `beforeKiePackageRemoved(BeforeKiePackageRemovedEvent event)` Method called before a package is removed from the knowledge base
`void` | `beforeProcessAdded(BeforeProcessAddedEvent event)` Method called before a process is removed from the knowledge base
`void` | `beforeProcessRemoved(BeforeProcessRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeRuleAdded(BeforeRuleAddedEvent event)` Method called before a new rule is added to the knowledge base
`void` | `beforeRuleRemoved(BeforeRuleRemovedEvent event)` Method called before a rule is removed from the knowledge base

Method Detail

### beforeKiePackageAdded

    void beforeKiePackageAdded(BeforeKiePackageAddedEvent event)

  Method called before a new package is added to the knowledge base

  Parameters:
    `event` -

### afterKiePackageAdded

    void afterKiePackageAdded(AfterKiePackageAddedEvent event)

  Method called after a new package is added to the knowledge base

  Parameters:
    `event` -

### beforeKiePackageRemoved

    void beforeKiePackageRemoved(BeforeKiePackageRemovedEvent event)

  Method called before a package is removed from the knowledge base

  Parameters:
    `event` -

### afterKiePackageRemoved

    void afterKiePackageRemoved(AfterKiePackageRemovedEvent event)

  Method called after a package is removed from the knowledge base

  Parameters:
    `event` -

### beforeKieBaseLocked

    void beforeKieBaseLocked(BeforeKieBaseLockedEvent event)

  Method called before a knowledge base is locked

  Parameters:
    `event` -

### afterKieBaseLocked

    void afterKieBaseLocked(AfterKieBaseLockedEvent event)

  Method called after a knowledge base is locked

  Parameters:
    `event` -

### beforeKieBaseUnlocked

    void beforeKieBaseUnlocked(BeforeKieBaseUnlockedEvent event)

  Method called before a knowledge base is unlocked

  Parameters:
    `event` -

### afterKieBaseUnlocked

    void afterKieBaseUnlocked(AfterKieBaseUnlockedEvent event)

  Method called after a knowledge base is unlocked

  Parameters:
    `event` -

### beforeRuleAdded

    void beforeRuleAdded(BeforeRuleAddedEvent event)

  Method called before a new rule is added to the knowledge base

  Parameters:
    `event` -

### afterRuleAdded

    void afterRuleAdded(AfterRuleAddedEvent event)

  Method called after a new rule is added to the knowledge base

  Parameters:
    `event` -

### beforeRuleRemoved

    void beforeRuleRemoved(BeforeRuleRemovedEvent event)

  Method called before a rule is removed from the knowledge base

  Parameters:
    `event` -

### afterRuleRemoved

    void afterRuleRemoved(AfterRuleRemovedEvent event)

  Method called after a rule is removed from the knowledge base

  Parameters:
    `event` -

### beforeFunctionRemoved

    void beforeFunctionRemoved(BeforeFunctionRemovedEvent event)

  Method called before a function is removed from the knowledge base

  Parameters:
    `event` -

### afterFunctionRemoved

    void afterFunctionRemoved(AfterFunctionRemovedEvent event)

  Method called after a function is removed from the rule base

  Parameters:
    `event` -

### beforeProcessAdded

    void beforeProcessAdded(BeforeProcessAddedEvent event)

  Method called before a process is removed from the knowledge base

  Parameters:
    `event` -

### afterProcessAdded

    void afterProcessAdded(AfterProcessAddedEvent event)

  Method called after a function is removed from the knowledge base

  Parameters:
    `event` -

### beforeProcessRemoved

    void beforeProcessRemoved(BeforeProcessRemovedEvent event)

  Method called before a function is removed from the knowledge base

  Parameters:
    `event` -

### afterProcessRemoved

    void afterProcessRemoved(AfterProcessRemovedEvent event)

  Method called after a function is removed from the knowledge base

  Parameters:
    `event` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.